#include<bits/stdc++.h>
#include<"code.h">
#define maxn 1005
using namespace std;

int a[maxn][maxn];
int maxred[maxn],brmax[maxn];
int minkol[maxn],brmin[maxn];
vector<int>res;
vector<int> Nadji(int n, int k)
{
	if(k>=n*n)
	{
		for(int i=1;i<=n;i++)
			for(int j=1;j<=n;j++)a[i][j]=Pitaj(i,j);

		for(int i=1;i<=n;i++)
		{
			maxred[i]=1;
			brmax[i]=1;

			for(int j=2;j<=n;j++)
			{
				if(a[i][maxred[i]]==a[i][j])brmax[i]++;
				if(a[i][j]>a[i][maxred[i]])
				{
					maxred[i]=j;
					brmax[i]=1;
				}
			}

			//cout<<i<<","<<maxred[i]<<","<<brmax[i]<<endl;
		}

		for(int j=1;j<=n;j++)
		{
			minkol[j]=1;
			brmin[j]=1;

			for(int i=2;i<=n;i++)
			{
				if(a[minkol[j]][j]==a[i][j])brmin[j]++;
				if(a[i][j]<a[minkol[j]][j])
				{
					minkol[j]=i;
					brmin[j]=1;
				}
			}

			//cout<<j<<","<<minkol[j]<<","<<brmin[j]<<endl;
		}

		for(int i=1;i<=n;i++)
			for(int j=1;j<=n;j++)
			{
				if(brmax[i]==1 && brmin[j]==1 && minkol[j]==i && maxred[i]==j)
				{
					res.push_back(i);
					res.push_back(j);
					return res;
				}
			}
	}
	res.push_back(0);
	res.push_back(0);
	return res;
}